curl --request GET \
--url https://api.app.chainloop.dev/v1/groups/{group_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.app.chainloop.dev/v1/groups/{group_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.app.chainloop.dev/v1/groups/{group_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version_references": [
{
"digest": "digest",
"created_at": "2000-01-23T04:56:07.000Z"
},
{
"digest": "digest",
"created_at": "2000-01-23T04:56:07.000Z"
}
],
"inputs_json_schema": "inputs_json_schema",
"organization_id": "organization_id",
"builtin": true,
"digest": "digest",
"raw": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"organization_name": "organization_name",
"group": {
"version_references": [
{
"digest": "digest",
"created_at": "2000-01-23T04:56:07.000Z"
},
{
"digest": "digest",
"created_at": "2000-01-23T04:56:07.000Z"
}
],
"attestation": [
{
"with": {
"key": "with"
},
"ref": "ref"
},
{
"with": {
"key": "with"
},
"ref": "ref"
}
],
"materials": [
{
"name": "name",
"policies": [
{
"with": {
"key": "with"
},
"ref": "ref"
},
{
"with": {
"key": "with"
},
"ref": "ref"
}
],
"type": "type"
},
{
"name": "name",
"policies": [
{
"with": {
"key": "with"
},
"ref": "ref"
},
{
"with": {
"key": "with"
},
"ref": "ref"
}
],
"type": "type"
}
],
"raw_group": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"builtin": true,
"organization_id": "organization_id",
"digest": "digest",
"name": "name",
"description": "description",
"organization_name": "organization_name",
"category": "category",
"latest": true
},
"latest": true
}{
"code": 0,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 6,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 1,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 5,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 5,
"details": [
{
"@type": "@type"
},
{
"@type": "@type"
}
],
"message": "message"
}Get a policy group by name
Retrieves a policy group by its name, optionally specifying a particular version by digest. If no digest is provided, the latest version is returned.
Authorizations
Bearer token for authentication
Path Parameters
The name of the policy group to retrieve
Query Parameters
if set, it will return the policy with the given digest otherwise it will return the latest version
If set, returns the policy group with the given digest; otherwise returns the latest version
Organization owning this policy group (empty for best effort fallback)
Organization owning this policy group (empty for best effort fallback)
If true, bypasses CLI-version compatibility filtering and returns the latest revision regardless of min-compatible-cli-version annotations
Response
A successful response.
Response containing a policy group and its metadata
The digest of the policy group
Show child attributes
Show child attributes
{
"format": "FORMAT_UNSPECIFIED",
"body": "body"
}
Show child attributes
Show child attributes
{
"version_references": [
{
"digest": "digest",
"created_at": "2000-01-23T04:56:07.000Z"
},
{
"digest": "digest",
"created_at": "2000-01-23T04:56:07.000Z"
}
],
"attestation": [
{ "with": { "key": "with" }, "ref": "ref" },
{ "with": { "key": "with" }, "ref": "ref" }
],
"materials": [
{
"name": "name",
"policies": [
{ "with": { "key": "with" }, "ref": "ref" },
{ "with": { "key": "with" }, "ref": "ref" }
],
"type": "type"
},
{
"name": "name",
"policies": [
{ "with": { "key": "with" }, "ref": "ref" },
{ "with": { "key": "with" }, "ref": "ref" }
],
"type": "type"
}
],
"raw_group": {
"format": "FORMAT_UNSPECIFIED",
"body": "body"
},
"builtin": true,
"organization_id": "organization_id",
"digest": "digest",
"name": "name",
"description": "description",
"organization_name": "organization_name",
"category": "category",
"latest": true
}
Whether this is the latest version of the policy group (deprecated)
ID of the organization owning this policy group (deprecated)
Name of the organization owning this policy group
Whether this policy group is builtin (deprecated)
References to all versions of this policy group (deprecated)
Show child attributes
Show child attributes
JSON schema of the inputs required by the policy group
